#import "SFODragDropText.h"
#import <remote/NXProxy.h>
#import <appkit/Cell.h>


@class ClientText, TextDiff;


@interface ServerText : SFODragDropText <NXSenderIsInvalid>
{
	List    *textList;
	BOOL     stayFirstResponder;
}

- setStayFirstResponder:(BOOL)aFlag;

- ring:sender;
- addClientText:(ClientText *)aText;
- removeClientText:(ClientText *)aText;
- cleanupClientList;

- makeClientsApply:(TextDiff*)diff;

/* callback for special key bindings */
- gotoLineStart;
- gotoLineEnd;

@end

